{
  "$schema": "./node_modules/@angular/cl/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "scoreFront": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "allowedCommonJsDependencies": [
              "lodash"
            ],
	 "preserveSymlinks": true,
            "outputPath": "dist",
            "index": "src/frame.html",
            "main": "src/main.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.app.json",
            "aot": false,
            "assets": [
              "src/favicon.ico",
              "src/assets",
              "src/index.html"
            ],
            "styles": [
              "src/app/core/preloader/preloader.scss",
              "src/styles.scss",
              "src/assets/common/laydate-5.0.9/theme/default/laydate.css"
            ],
            "scripts": [
              "node_modules/jquery/dist/jquery.min.js",
              "src/app/core/preloader/preloader.js",
              "node_modules/chart.js/dist/Chart.bundle.js",
              "node_modules/bootstrap/js/dist/util.js",
              "node_modules/bootstrap/js/dist/modal.js",
              "node_modules/bootstrap/js/dist/dropdown.js",
              "node_modules/bootstrap/js/dist/tooltip.js",
              "node_modules/summernote/dist/summernote.js",
              "node_modules/moment/min/moment-with-locales.min.js",
              "node_modules/echarts/dist/echarts.min.js",
              "src/assets/common/laydate-5.0.9/laydate.js",
              "src/assets/common/quagga.min.js",
              "src/assets/common/renderer.js",
              "src/assets/common/aliplayer/aliplayer.js"
            ]
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "3mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "scoreFront:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "scoreFront:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "scoreFront:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.spec.json",
            "karmaConfig": "karma.conf.js",
            "assets": [
              "src/favicon.ico",
              "src/assets"
            ],
            "styles": [
              "src/app/core/preloader/preloader.scss",
              "src/styles.scss"
            ],
            "scripts": [
              "node_modules/jquery/dist/jquery.js",
              "src/app/core/preloader/preloader.js",
              "node_modules/chart.js/dist/Chart.bundle.js",
              "node_modules/bootstrap/js/dist/util.js",
              "node_modules/bootstrap/js/dist/modal.js",
              "node_modules/bootstrap/js/dist/dropdown.js",
              "node_modules/bootstrap/js/dist/tooltip.js",
              "node_modules/summernote/dist/summernote.js",
              "node_modules/moment/min/moment-with-locales.min.js",
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "tsconfig.app.json",
              "tsconfig.spec.json",
              "e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "scoreFront:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "scoreFront:serve:production"
            }
          }
        }
      }
    }
  },
  "defaultProject": "scoreFront",
  "cli": {
    "analytics": false
  }
}
